/**************************************************************************
	LGBDeviceIterator
	
	Public domain, by Zig Zichterman.
	
	a class that iterates over all devices. Does NOT do fancy-schmancy
	constructor/destructor things (so that I won't incur C++ runtime
	overhead in my CDEF).

	07/31/94	zz	add mDeviceIsColor
**************************************************************************/
#pragma once

class LGBDeviceIterator {
	public :
		void	Init(const Rect &inLocalRect);
		short	Next(void);
	
		Boolean		mDeviceIsColor;
		
	protected :
		Rect		mGlobalRect;
		GDHandle	mNextDevice;
		Boolean		mNeedsOldQD;
		Boolean		mDoneOldQD;
};

